package model

import butil "enterprise/base/util"

var (
	StaffSalaryStatusNormal  = 1
	StaffSalaryStatusDisable = 2
)

type StaffSalary struct {
	Id              int64
	Username        string
	Month           string
	BaseSalary      float64
	AttendSalary    float64
	RealSalary      float64
	AwardSalary     float64
	SocialInsurence float64
	PersonalTax     float64
	TotalDay        float64
	RealDay         float64
	Holiday         float64
	CreateTime      int64
	UpdateTime      int64
	Extra           string
}

func (s *StaffSalary) GetRealSalary() float64 {
	return butil.FloatCut(s.AttendSalary + s.AwardSalary - s.SocialInsurence - s.PersonalTax)
}
